{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "cli": {
    "analytics": false
  },
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "datacontroller": {
      "projectType": "application",
      "schematics": {
        "@schematics/angular:component": {
          "style": "scss"
        },
        "@schematics/angular:application": {
          "strict": true
        }
      },
      "root": "",
      "sourceRoot": "src",
      "prefix": "app",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:browser",
          "options": {
            "allowedCommonJsDependencies": [
              "handsontable",
              "core-js",
              "pikaday",
              "querystring",
              "punycode",
              "url",
              "rxjs",
              "rxjs-compat",
              "d3-graphviz",
              "save-svg-as-png",
              "@sheet/perf",
              "@sheet/crypto",
              "iconv-lite",
              "buffer/",
              "zone.js",
              "text-encoding",
              "crypto-js/md5",
              "buffer",
              "numbro",
              "@clr/icons",
              "@sasjs/adapter",
              "@sasjs/utils/types/serverType",
              "@sasjs/utils/input/validators",
              "@sasjs/utils/utils/bytesToSize",
              "base64-arraybuffer",
              "@handsontable/formulajs"
            ],
            "polyfills": [
              "src/polyfills.ts",
              "zone.js"
            ],
            "outputPath": "dist",
            "resourcesOutputPath": "images",
            "index": "src/index.html",
            "main": "src/main.ts",
            "tsConfig": "tsconfig.app.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "src/images"
            ],
            "styles": [
              "src/styles.scss"
            ],
            "scripts": [
              "node_modules/marked/marked.min.js"
            ],
            "webWorkerTsConfig": "tsconfig.worker.json"
          },
          "configurations": {
            "production": {
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "13mb",
                  "maximumError": "15mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "7kb",
                  "maximumError": "10kb"
                }
              ],
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "outputHashing": "all",
              "optimization": {
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                },
                "fonts": true
              }
            },
            "development": {
              "vendorChunk": true,
              "extractLicenses": false,
              "buildOptimizer": false,
              "sourceMap": true,
              "optimization": false,
              "namedChunks": true
            }
          },
          "defaultConfiguration": "production"
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "datacontroller:build:production"
            },
            "development": {
              "buildTarget": "datacontroller:build:development"
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "datacontroller:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "polyfills": [
              "src/polyfills.ts",
              "zone.js",
              "zone.js/testing"
            ],
            "tsConfig": "tsconfig.spec.json",
            "inlineStyleLanguage": "scss",
            "assets": [
              "src/favicon.ico",
              "src/assets"
            ],
            "styles": [
              "src/styles.scss"
            ],
            "scripts": [],
            "karmaConfig": "karma.conf.js",
            "webWorkerTsConfig": "tsconfig.worker.json"
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "src/**/*.html"
            ]
          }
        }
      }
    }
  }
}
